Bug 965 - Ctrl-] doesn't work with vncviewer.exe
Summary: Ctrl-] doesn't work with vncviewer.exe
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VNC (show other bugs)
Version: trunk
Hardware: PC Linux
: P2 Normal
Target Milestone: 4.10.0
Assignee: Henrik Andersson
URL:
Keywords: ossman_tester, relnotes
Depends on: 5226 7158
Blocks: 3523
  Show dependency treegraph
 
Reported: 2004-11-11 14:45 CET by Peter Åstrand
Modified: 2018-09-28 10:41 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Description Peter Åstrand cendio 2004-11-11 14:45:21 CET
The current keyboard implementation in the Windows vncviewer doesn't support
Ctrl plus AltGr characters, for example Ctrl-]. I guess most customers won't
need this, but later, we should investigate if it at all would be possible to
support such combinations.
Comment 1 Pierre Ossman cendio 2011-08-25 16:24:03 CEST
Should work. Verify.
Comment 2 Henrik Andersson cendio 2011-09-06 12:50:46 CEST
Successfully verified on win7 using client 3.2.0.
Comment 3 Peter Åstrand cendio 2011-11-23 14:00:52 CET
Does not work for me. I've tried build 3259 both on XP and Win7, both against demo.thinlinc.com and tl.cendio.se. I've verified that "send systems keys" is active. There's a difference between the systems, though:

* On tl.cendio.se, when pressing Ctrl-AltGr-9 I eventually get a KeyPress for "]" with state=0x0. 

* On demo.thinlinc.com, when doing as above, I get a "]" with state=0x80, which is the same as if Ctrl was not pressed. 

Moving. 
Comment 4 Pierre Ossman cendio 2013-04-15 17:13:05 CEST
Checked things again. I think this is basically impossible. Windows doesn't have a real AltGr key. If you press the actual key, Windows fakes pressing Ctrl and Alt.

So I'm not sure if it is possible to separate the fake presses from the real ones, especially when they are happening at the same time. Might be some horrible hack that we can do though, but I pity the fool who gets that assignment...
Comment 5 Pierre Ossman cendio 2018-08-27 13:26:36 CEST
With bug 5226 fixed, this should now be possible.
Comment 7 Pierre Ossman cendio 2018-09-28 10:41:20 CEST
Release notes are written.

Ctrl+AltGr+<key> now works properly in most cases. We do get some (server side) fake releases and presses in the cases where the Windows layout and server layout differ though, but that is expected with the current model.

Note You need to log in before you can comment on or make changes to this bug.